Package org.snpeff.geneSets

# Class Result

java.lang.Object
org.snpeff.geneSets.Result

All Implemented Interfaces:
  `Comparable<Result>`

public class Result extends Object implements Comparable<Result>
Store a result form a greedy search algorithm

Author:
  Pablo Cingolani

## Constructor Summary

Constructors
Constructor
Description
`Result()`
`Result(List<GeneSet> list, double pValue)`
`Result(GeneSet geneSet, org.apfloat.Apfloat pValue, int geneSetCount)`
`Result(Result res)`

## Method Summary

Modifier and Type
Method
Description
`void`
`addGeneSetCount(int count)`
Add an item to the list of counts
`int`
`compareTo(Result res)`
`List<Integer>`
`getGeneSetCount()`
`int`
`getGeneSetCountLast()`
`List<GeneSet>`
`getGeneSets()`
`GeneSet`
`getLatestGeneSet()`
`org.apfloat.Apfloat`
`getPvalue()`
`double`
`getPvalueAdjusted()`
P-Value adjusted using
`double`
`getPvalueDouble()`
`boolean`
`isEmpty()`
`void`
`set(List<GeneSet> geneSets, org.apfloat.Apfloat pValue)`
Ser a new list and pvalue
`void`
`setGeneSetCount(List<Integer> geneSetCount)`
`void`
`setGeneSetCountLast(int count)`
`void`
`setGeneSets(List<GeneSet> newGeneSets)`
Assign geneSets
`void`
`setPvalue(double pValue)`
`void`
`setPvalue(org.apfloat.Apfloat pValue)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Result

public Result()

### Result

public Result(GeneSet geneSet, org.apfloat.Apfloat pValue, int geneSetCount)

### Result

public Result(List<GeneSet> list, double pValue)

### Result

public Result(Result res)

## Method Details

### addGeneSetCount

public void addGeneSetCount(int count)
Add an item to the list of counts

Parameters:
  `count` -

### compareTo

public int compareTo(Result res)

Specified by:
  `compareTo` in interface `Comparable<Result>`

### getGeneSetCount

public List<Integer> getGeneSetCount()

### getGeneSetCountLast

public int getGeneSetCountLast()

### getGeneSets

public List<GeneSet> getGeneSets()

### getLatestGeneSet

public GeneSet getLatestGeneSet()

### getPvalue

public org.apfloat.Apfloat getPvalue()

### getPvalueAdjusted

public double getPvalueAdjusted()
P-Value adjusted using

Returns:

### getPvalueDouble

public double getPvalueDouble()

### isEmpty

public boolean isEmpty()

### set

public void set(List<GeneSet> geneSets, org.apfloat.Apfloat pValue)
Ser a new list and pvalue

Parameters:
  `geneSets` -
  `pvalue` -

### setGeneSetCount

public void setGeneSetCount(List<Integer> geneSetCount)

### setGeneSetCountLast

public void setGeneSetCountLast(int count)

### setGeneSets

public void setGeneSets(List<GeneSet> newGeneSets)
Assign geneSets

Parameters:
  `newGeneSets` -

### setPvalue

public void setPvalue(org.apfloat.Apfloat pValue)

### setPvalue

public void setPvalue(double pValue)

### toString

public String toString()

Overrides:
  `toString` in class `Object`